import { PromptedOptions } from '../../types.js';
import { readGuide } from './readGuide.js';
import 'zod';
import '../../codes.js';

declare function createOptionDefaults(promptedOptions?: PromptedOptions): {
    logo: () => Promise<{
        height?: number;
        width?: number;
        alt: string;
        src: string;
    } | undefined>;
    title: () => Promise<string | undefined>;
    usage: () => Promise<string>;
    author: () => Promise<string | undefined>;
    bin: () => Promise<string | undefined>;
    description: () => Promise<string | undefined>;
    email: () => Promise<{
        github: string;
        npm: string;
    } | undefined>;
    funding: () => Promise<string | undefined>;
    guide: typeof readGuide;
    owner: () => Promise<string | undefined>;
    repository: () => Promise<string | undefined>;
};

export { createOptionDefaults };
