import { Octokit } from 'octokit';
import { Options } from '../types.js';
import 'zod';
import '../codes.js';

type EnsureRepositoryExistsOptions = Pick<Options, "mode" | "owner" | "preserveGeneratedFrom" | "repository">;
interface RepositoryExistsResult {
    octokit: Octokit | undefined;
    repository: string;
}
declare function ensureRepositoryExists(octokit: Octokit | undefined, options: EnsureRepositoryExistsOptions): Promise<Partial<RepositoryExistsResult>>;

export { type EnsureRepositoryExistsOptions, type RepositoryExistsResult, ensureRepositoryExists };
